package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcDeviceApprovalMapper;
import com.ruoyi.oa.domain.CmcDeviceApproval;
import com.ruoyi.oa.service.ICmcDeviceApprovalService;

/**
 * cmc设备审批Service业务层处理
 * 
 * @author cmc
 * @date 2024-03-05
 */
@Service
public class CmcDeviceApprovalServiceImpl implements ICmcDeviceApprovalService 
{
    @Autowired
    private CmcDeviceApprovalMapper cmcDeviceApprovalMapper;

    /**
     * 查询cmc设备审批
     * 
     * @param deviceApplyId cmc设备审批主键
     * @return cmc设备审批
     */
    @Override
    public CmcDeviceApproval selectCmcDeviceApprovalByDeviceApplyId(String deviceApplyId)
    {
        return cmcDeviceApprovalMapper.selectCmcDeviceApprovalByDeviceApplyId(deviceApplyId);
    }

    /**
     * 查询cmc设备审批列表
     * 
     * @param cmcDeviceApproval cmc设备审批
     * @return cmc设备审批
     */
    @Override
    public List<CmcDeviceApproval> selectCmcDeviceApprovalList(CmcDeviceApproval cmcDeviceApproval)
    {
        return cmcDeviceApprovalMapper.selectCmcDeviceApprovalList(cmcDeviceApproval);
    }

    /**
     * 新增cmc设备审批
     * 
     * @param cmcDeviceApproval cmc设备审批
     * @return 结果
     */
    @Override
    public int insertCmcDeviceApproval(CmcDeviceApproval cmcDeviceApproval)
    {
        return cmcDeviceApprovalMapper.insertCmcDeviceApproval(cmcDeviceApproval);
    }

    /**
     * 修改cmc设备审批
     * 
     * @param cmcDeviceApproval cmc设备审批
     * @return 结果
     */
    @Override
    public int updateCmcDeviceApproval(CmcDeviceApproval cmcDeviceApproval)
    {
        return cmcDeviceApprovalMapper.updateCmcDeviceApproval(cmcDeviceApproval);
    }

    /**
     * 批量删除cmc设备审批
     * 
     * @param deviceApplyIds 需要删除的cmc设备审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcDeviceApprovalByDeviceApplyIds(String[] deviceApplyIds)
    {
        return cmcDeviceApprovalMapper.deleteCmcDeviceApprovalByDeviceApplyIds(deviceApplyIds);
    }

    /**
     * 删除cmc设备审批信息
     * 
     * @param deviceApplyId cmc设备审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcDeviceApprovalByDeviceApplyId(String deviceApplyId)
    {
        return cmcDeviceApprovalMapper.deleteCmcDeviceApprovalByDeviceApplyId(deviceApplyId);
    }
}
